import { jsx } from "react/jsx-runtime";
import { render } from "@testing-library/react-native";
import { WellhubIcon } from "@gympass/yoga-icons";
import { ThemeProvider } from "../../../../index";
import TextWithBadge from ".";
describe("TextWithBadge", () => {
  it("should match snapshot", () => {
    const { toJSON } = render(
      /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsx(TextWithBadge, { badgeIcon: WellhubIcon, title: "Text with badge" }) })
    );
    expect(toJSON()).toMatchSnapshot();
  });
  it("should match snapshot with long title", () => {
    const { toJSON } = render(
      /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsx(
        TextWithBadge,
        {
          badgeIcon: WellhubIcon,
          title: "This is an example of a very long title that should be truncated"
        }
      ) })
    );
    expect(toJSON()).toMatchSnapshot();
  });
  it("should match snapshot without badgeIcon", () => {
    const { toJSON } = render(
      /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsx(TextWithBadge, { badgeIcon: null, title: "Title without Badge" }) })
    );
    expect(toJSON()).toMatchSnapshot();
  });
});
